function keyDown(e) {
    if(e.keyCode == 39) {
        Send("Right", true);
    }
    else if (e.keyCode == 37) {
        Send("Left", true);
    } else if (e.keyCode == 38) {
	Send("Up", true);
    } else if (e.keyCode == 40) {
	Send("Down", true);
    }
}
function keyUp(e) {
    if(e.keyCode == 39) {
        Send("Right", false);
    }
    else if (e.keyCode == 37) {
        Send("Left", false);
    } else if (e.keyCode == 38) {
	Send("Up", false);
    } else if (e.keyCode == 40) {
	Send("Down", false);
    }
}
function draw() {
    if (redrawScreen) {
    
	var canvas = document.getElementById("canvas");  
	var ctx = canvas.getContext("2d");
 
	ctx.clearRect ( 0 , 0 , ctx.canvas.width , ctx.canvas.height );
    
	ctx.drawImage(gridImage, 0, 0);
	
	
	for (var i = 0; i < players.length; i++) {
	    var p = players[i];
	    ctx.beginPath();
	    ctx.arc(p.x, p.y, 25, 0, Math.PI * 2, true);
	    ctx.fillStyle = "#c82124";
	    ctx.fill();
	    ctx.closePath();
	}
	
	
	redrawScreen = false;
    }
}

function drawLoop() {
    window.requestAnimationFrame(drawLoop);
    draw();
    //window.setTimeout(drawLoop, 1000 / 60);
}

function setup() {
    var canvas = document.getElementById("canvas");
    canvas.width=856;
    canvas.height=500;
    canvas.addEventListener('keydown', keyDown, false);
    canvas.addEventListener('keyup', keyUp, false);
    canvas.focus();
    drawGridImage();
    drawLoop();
}

/**Variables**/
var blockSize = 50;

var redrawScreen = true;

var gridImage = document.createElement('canvas');

var players = new Array();